Ubuntu

Thunderbird: localization not installed automatically

Reported by Pjotr12345 on 2010-03-08
136
This bug affects 36 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Unassigned
synaptic
New
Undecided
Unassigned
Baltix
Undecided
Unassigned
apt (Ubuntu)
Undecided
Unassigned
software-center (Ubuntu)
Wishlist
Unassigned
synaptic (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: thunderbird

I use Ubuntu 9.10 with Dutch localization. When I install Mozilla Thunderbird from the repositories, Thunderbird isn't being localized automatically: the interface is 100 % English.

I have to run System - Administration - Language Support to install the missing Thunderbird language packs as yet. This step shouldn't be necessary: when I install Thunderbird in a localized Ubuntu 9.10, the necessary language packs should come with it automatically.

Pjotr12345 (computertip) on 2010-03-08
Changed in thunderbird (Ubuntu):
status: New → Confirmed
Micah Gersten (micahg) wrote :

Thank you for reporting this to Ubuntu. Please don't confirm your own bugs. I'll have the translations team take a look at this. Please report any other bugs you may find.

Changed in thunderbird (Ubuntu):
status: Confirmed → New
Aron Xu (happyaron) wrote :

Confirm this problem in Lucid, in zh_CN locale the language pack is not being automatically installed when we install thunderbird either using software-center nor synaptic.

Changed in ubuntu-translations:
importance: Undecided → Wishlist
status: New → Triaged
Changed in thunderbird (Ubuntu):
status: New → Confirmed
tags: added: kernel-series-unknown
tags: removed: kernel-series-unknown
Arne Goetje (arnegoetje) wrote :

We can only fix this in software-center.
In language-selector, we have a python class called CheckLanguageSupport(), which takes two arguments, datadir="/usr/share/language-selector" and cache=, where cache is the already opened package cache in use.
Then, before installing the selected packges and their dependencies, software-center would need to call getMissingPackages(packages=[list of packages which are going to be installed]). This will return a list of translation or writing aids packages, which have not been installed yet, but where the base application is marked for installation or is already installed on the system.
Finally, software-center should depend on language-selector-common.

affects: thunderbird (Ubuntu) → software-center (Ubuntu)
Changed in software-center (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
Pjotr12345 (computertip) wrote :

@ Arne Goetje:
But what about Synaptic package manager and apt-get? You only talk about software-center....

Kiwinote (kiwinote) wrote :

Hi Pjotr. I have added separate progress trackers for synaptic and apt. If this were to be implemented in apt, then software-center and synaptic would not need to implement this. Thanks.

Changed in synaptic (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
YannUbuntu (yannubuntu) wrote :

I would have set this to more important than only "Wishlist", as it is a blocker to all non-English speakers.

YannUbuntu (yannubuntu) wrote :

Marked https://bugs.launchpad.net/ubuntu/+source/thunderbird-locales/+bug/280651 as duplicate. (was affected to thunderbird-locales)

affects: synaptic → thunderbird
Arne Goetje (arnegoetje) wrote :

@YannUbuntu:
Why did you change the project from synaptic to thunderbird? Thunderbird is not of fault here.

YannUbuntu (yannubuntu) wrote :

Indeed, I added synaptic by mistake when i tried to add thunderbird-locales. As I could not find thunderbird-locales, I left thunderbird.
If someone knows how to change it to thunderbird-locales (as it was done on bug #280651), please do it :)

Micah Gersten (micahg) wrote :

Changed upstream to back to synaptic. Thunderbird-locales is local to Ubuntu, but it isn't at fault here.

affects: thunderbird → synaptic
Pavan (panjkt) on 2010-04-27
Changed in software-center (Ubuntu):
status: Triaged → Incomplete
Changed in software-center (Ubuntu):
status: Incomplete → Triaged
AJenbo (ajenbo) wrote :

This issue also affects the GIMP

El dt 29 de 06 de 2010 a les 00:29 +0000, en/na AJenbo va escriure:
> This issue also affects the GIMP
>

That's right, but as far as I can tell, it only affect the GIMP's
documentation translations, which are shipped in separate packages
(gimp-help-*).

The application translations are shipped normally with language packs
and are thus not affected by this bug.

David Planella (dpm) wrote :

This comment might also be relevant for this bug:

https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/396414/comments/13

Changed in ubuntu-translations:
assignee: nobody → Erhard Wagener (erhard-wagener)

I realized my problem: while installing ubuntu, I didn't have an internet connection to load the german language packages, because my dsl-connection was not configured. As I read the bug description again, I went to System - Administration - Language Support and installed the missing language packs. Now everything is ok.

Thanks for help!

Changed in ubuntu-translations:
assignee: Erhard Wagener (erhard-wagener) → nobody
David Planella (dpm) on 2011-01-03
Changed in ubuntu-translations:
importance: Wishlist → Medium
Changed in apt (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers